<?php
namespace Brightside\Pagegallery\Hooks\PageLayoutView;

use \TYPO3\CMS\Backend\View\PageLayoutViewDrawItemHookInterface;
use \TYPO3\CMS\Backend\View\PageLayoutView;
	
class NewContentElementPreviewRenderer implements PageLayoutViewDrawItemHookInterface {
	 /**
     * Preprocesses the preview rendering of a content element of type "textmedia"
     *
     * @param \TYPO3\CMS\Backend\View\PageLayoutView $parentObject Calling parent object
     * @param bool $drawItem Whether to draw the item using the default functionality
     * @param string $headerContent Header content
     * @param string $itemContent Item content
     * @param array $row Record row of tt_content
     *
     * @return void
     */

	 public function preProcess(PageLayoutView &$parentObject, &$drawItem, &$headerContent, &$itemContent, array &$row) {

		if ($row['CType'] === 'pagegallery_sub') {
			$itemContent .= 'Kama';
			$drawItem = FALSE;
			

		}
		if ($row['CType'] === 'pagegallery_selected') {

			
			$itemContent .= 'Kama 2';
			$drawItem = FALSE;

		}
	}
}

